Can I get GIMP 2.10.0 for Buster? How about Stretch?

Everything about X, Gnome, KDE, ... and everything running on it

Can I get GIMP 2.10.0 for Buster? How about Stretch?

Postby stevepusser » 2018-04-30 00:22

Yes, it is possible! If you don't want to wait for the short time for it to appear in testing, look here: https://build.opensuse.org/package/show ... ports/gimp Instructions are in the "download packages" link.

But wait! Stretch packages are available too? Yes, they are! Now how much would you pay? Nothing? That's OK!

Since they both require some backports, Stretch a lot more, it's better to add the repository and get all the dependencies automatically than try to download them manually and install the debs.

Also note that the Stretch version will upgrade libglib2.0 and libfreetype6, two important base system packages, to versions backported from Buster. All I know is that my test systems continue to run fine after the upgrades.
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: Kdenlive 18.08.1, Pale Moon 28.1.0, wine-staging 3.17, qBittorrent 4.1.3, Liquorix kernel 4.18-13, Audacity 2.3.0
User avatar
stevepusser
 
Posts: 10004
Joined: 2009-10-06 05:53

Re: Can I get GIMP 2.10.0 for Buster? How about Stretch?

Postby Innovate » 2018-04-30 01:30

Thank you, that's what was I expected,
You might built up before other deb/buntu-based distro packagers did there.
i don't think you've to make another thread you can answer in that thread.

Great, we won't fall behind AUR anymore even on Debian stable.
Innovate
 
Posts: 171
Joined: 2015-12-27 01:28
Location: /dev/urandom

Re: Can I get GIMP 2.10.0 for Buster? How about Stretch?

Postby Danielsan » 2018-05-09 17:00

There is available a flatpack bundle:

https://www.gimp.org/downloads/

The good part is the G'MIC plugin bundled works properly since the moment the one available in SID is too old to work with this version.
Last edited by Danielsan on 2018-05-09 19:27, edited 1 time in total.
User avatar
Danielsan
 
Posts: 488
Joined: 2010-10-10 22:36

Re: Can I get GIMP 2.10.0 for Buster? How about Stretch?

Postby stevepusser » 2018-05-09 18:26

I wonder how big that flatpak is? Some are just yuge.
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: Kdenlive 18.08.1, Pale Moon 28.1.0, wine-staging 3.17, qBittorrent 4.1.3, Liquorix kernel 4.18-13, Audacity 2.3.0
User avatar
stevepusser
 
Posts: 10004
Joined: 2009-10-06 05:53

Re: Can I get GIMP 2.10.0 for Buster? How about Stretch?

Postby arochester » 2018-05-09 18:39

Is it a dirty word?

Snap.

Lower down it talks about LibreOffice 6.0. Available as a snap.

Gimp 2.10.0. Available as a snap.

https://itsfoss.com/install-snap-linux/
arochester
 
Posts: 1327
Joined: 2010-12-07 19:55

Re: Can I get GIMP 2.10.0 for Buster? How about Stretch?

Postby Danielsan » 2018-05-09 19:29

stevepusser wrote:I wonder how big that flatpak is? Some are just yuge.


Surely it is smaller than the snap version... 8)
User avatar
Danielsan
 
Posts: 488
Joined: 2010-10-10 22:36

Re: Can I get GIMP 2.10.0 for Buster? How about Stretch?

Postby stevepusser » 2018-05-09 20:02

Oh, snap! :lol:

I can see where one might not want to risk upgrades to libfreetype6 and libfontconfig1, though no one has had any issues with those on MX 17. We still have a sizable number of 32-bit users; are those universal packages available for those architectures? OK, I see the flatpak is.
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: Kdenlive 18.08.1, Pale Moon 28.1.0, wine-staging 3.17, qBittorrent 4.1.3, Liquorix kernel 4.18-13, Audacity 2.3.0
User avatar
stevepusser
 
Posts: 10004
Joined: 2009-10-06 05:53

Re: Can I get GIMP 2.10.0 for Buster? How about Stretch?

Postby None1975 » 2018-05-10 14:33

stevepusser wrote:I can see where one might not want to risk upgrades to libfreetype6 and libfontconfig1, though no one has had any issues with those on MX 17.

Because we are using Debian here instead of MX, which is similar to frankendebian.
OS: Debian 9.5 / WM: Xmonad
Debian Wiki | DontBreakDebian, My config files in github
Linux User #607425
User avatar
None1975
 
Posts: 650
Joined: 2015-11-29 18:23
Location: Lithuania, Vilnius

Re: Can I get GIMP 2.10.0 for Buster? How about Stretch?

Postby stevepusser » 2018-05-10 17:26

Do you understand the difference between using properly done ports and backports versus a FrankenDebian?
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: Kdenlive 18.08.1, Pale Moon 28.1.0, wine-staging 3.17, qBittorrent 4.1.3, Liquorix kernel 4.18-13, Audacity 2.3.0
User avatar
stevepusser
 
Posts: 10004
Joined: 2009-10-06 05:53

Re: Can I get GIMP 2.10.0 for Buster? How about Stretch?

Postby Wheelerof4te » 2018-05-10 17:46

Why flatpaks instead of snaps? Because snaps are Canonical's bling, and they can kill them anytime they want. Snaps are also not respecting user and global themes, so you get UI inconsistency worse than in Windows 10. No proper locale support yet, too.
In a word: garbage.

I prefer runtimes to packed libs that slow down the entire system.
None1975 wrote:instead of MX, which is similar to frankendebian.

The MX linux is a direct Debian derivative, so it can't be FrankenDebian. It's a entirely different distro which uses sysVinit.
User avatar
Wheelerof4te
 
Posts: 1134
Joined: 2015-08-30 20:14

Re: Can I get GIMP 2.10.0 for Buster? How about Stretch?

Postby None1975 » 2018-05-10 18:14

stevepusser wrote:Do you understand the difference between using properly done ports and backports versus a FrankenDebian?

Do you understand the difference between using pure Debian versus an unclear product of origin and quality?
OS: Debian 9.5 / WM: Xmonad
Debian Wiki | DontBreakDebian, My config files in github
Linux User #607425
User avatar
None1975
 
Posts: 650
Joined: 2015-11-29 18:23
Location: Lithuania, Vilnius

Re: Can I get GIMP 2.10.0 for Buster? How about Stretch?

Postby Wheelerof4te » 2018-05-10 18:26

None1975 wrote:pure Debian versus an unclear product of origin and quality?

You mean this?
https://devuan.org/
:mrgreen:
User avatar
Wheelerof4te
 
Posts: 1134
Joined: 2015-08-30 20:14

Re: Can I get GIMP 2.10.0 for Buster? How about Stretch?

Postby n_hologram » 2018-05-10 18:47

None1975 wrote:...an unclear product of origin and quality...

Is there not a source code on the link? Even if not, surely it would be trivial to replicate the process; the dependencies are listed.
bester69 wrote:There is nothing to install in linux, from time to time i go to google searching for something fresh to install in linux, but, there is nothing

the crunkbong project: scripts, operating system, the list goes on...
n_hologram
 
Posts: 435
Joined: 2013-06-16 00:10

Re: Can I get GIMP 2.10.0 for Buster? How about Stretch?

Postby stevepusser » 2018-05-10 18:57

FrankenDebian means adding upstream Debian or incompatible repos, such as Ubuntu, to your system. MX repos are just extended backport repositories like stretch-backports...so if we use your logic, anyone that uses stretch-backports also is the owner of a FrankenDebian.

Before you point out how Debian tests everything thoroughly before releasing it to stable, need I point out the fiasco with the latest 4.9 kernel update in Stretch?

And before you go on any further about uncertain quality, I would suggest you check and see what distro tops the current user rating rankings at Distrowatch, plus what distro just got a 10/10 review in June's Linux Format magazine?
Last edited by stevepusser on 2018-05-10 20:14, edited 2 times in total.
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: Kdenlive 18.08.1, Pale Moon 28.1.0, wine-staging 3.17, qBittorrent 4.1.3, Liquorix kernel 4.18-13, Audacity 2.3.0
User avatar
stevepusser
 
Posts: 10004
Joined: 2009-10-06 05:53

Re: Can I get GIMP 2.10.0 for Buster? How about Stretch?

Postby Danielsan » 2018-05-10 19:09

I can't live without FrankenDebian... 8)
User avatar
Danielsan
 
Posts: 488
Joined: 2010-10-10 22:36

Next

Return to Desktop & Multimedia

Who is online

Users browsing this forum: No registered users and 8 guests

fashionable